Bug 429124 - lvm mirror doesn't lose it's "M" --nosync attribute after being down and the up converted
lvm mirror doesn't lose it's "M" --nosync attribute after being down and the ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.2
All All
medium Severity low
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 10:06 EST by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2008-0378
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2008-01-17 10:06:47 EST
+++ This bug was initially created as a clone of Bug #264241 +++
RHEL5 clone

Description of problem:
[root@link-08 ~]# lvcreate -m 1 -n mirror --nosync -L 1G single
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  WARNING: New mirror won't be synchronised. Don't read what you didn't write!
  Logical volume "mirror" created
[root@link-08 ~]# lvs -a -o +devices
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  Skipping clustered volume group vg1
  LV                VG         Attr   LSize  Origin Snap%  Move Log        
Copy%  Devices                           
  LogVol00          VolGroup00 -wi-ao 72.38G                                   
   /dev/hda2(0)                      
  LogVol01          VolGroup00 -wi-ao  1.94G                                   
   /dev/hda2(2316)                   
  mirror            single     Mwi-a-  1.00G                    mirror_mlog
100.00 mirror_mimage_0(0),mirror_mimage_1(0)
  [mirror_mimage_0] single     iwi-ao  1.00G                                   
   /dev/sdc1(0)                      
  [mirror_mimage_1] single     iwi-ao  1.00G                                   
   /dev/sdd1(0)                      
  [mirror_mlog]     single     lwi-ao  4.00M                                   
   /dev/sde1(0)                      
[root@link-08 ~]# lvconvert -m 0 single/mirror
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  Logical volume mirror converted.
[root@link-08 ~]# lvs -a -o +devices
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  Skipping clustered volume group vg1
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Devices
  LogVol00 VolGroup00 -wi-ao 72.38G                               /dev/hda2(0)
  LogVol01 VolGroup00 -wi-ao  1.94G                               /dev/hda2(2316)
  mirror   single     -wi-a-  1.00G                               /dev/sdc1(0)
[root@link-08 ~]# lvconvert -m 1 single/mirror
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  Logical volume mirror converted.
[root@link-08 ~]# lvs -a -o +devices
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  Skipping clustered volume group vg1
  LV                VG         Attr   LSize  Origin Snap%  Move Log        
Copy%  Devices                           
  LogVol00          VolGroup00 -wi-ao 72.38G                                   
   /dev/hda2(0)                      
  LogVol01          VolGroup00 -wi-ao  1.94G                                   
   /dev/hda2(2316)                   
  mirror            single     Mwi-a-  1.00G                    mirror_mlog  
2.73 mirror_mimage_0(0),mirror_mimage_1(0)
  [mirror_mimage_0] single     iwi-ao  1.00G                                   
   /dev/sdc1(0)                      
  [mirror_mimage_1] single     iwi-ao  1.00G                                   
   /dev/sdd1(0)                      
  [mirror_mlog]     single     lwi-ao  4.00M                                   
   /dev/sde1(0)                      
[root@link-08 ~]# lvs -a -o +devices
  connect() failed on local socket: Connection refused
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  Skipping clustered volume group vg1
  LV                VG         Attr   LSize  Origin Snap%  Move Log        
Copy%  Devices                           
  LogVol00          VolGroup00 -wi-ao 72.38G                                   
   /dev/hda2(0)                      
  LogVol01          VolGroup00 -wi-ao  1.94G                                   
   /dev/hda2(2316)                   
  mirror            single     Mwi-a-  1.00G                    mirror_mlog 
41.41 mirror_mimage_0(0),mirror_mimage_1(0)
  [mirror_mimage_0] single     iwi-ao  1.00G                                   
   /dev/sdc1(0)                      
  [mirror_mimage_1] single     iwi-ao  1.00G                                   
   /dev/sdd1(0)                      
  [mirror_mlog]     single     lwi-ao  4.00M                                   
   /dev/sde1(0) 

Version-Release number of selected component (if applicable):
lvm2-2.02.27-1.el4

How reproducible:
everytime

-- Additional comment from jbrassow@redhat.com on 2007-08-30 14:50 EST --
Fixed in upstream CVS.
Comment 2 RHEL Product and Program Management 2008-01-17 10:15:44 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Milan Broz 2008-01-17 19:23:35 EST
In lvm2-2.02.30-1.el5.
Comment 5 Corey Marthaler 2008-03-31 12:15:06 EDT
Fix verified in lvm2-2.02.32-2.el5.

Comment 7 errata-xmlrpc 2008-05-21 11:39:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0378.html

Note You need to log in before you can comment on or make changes to this bug.